Add Company Attachment
Attaches a file to a Company account.
The default rate limit for this endpoint is `15` calls/min per store.
Each Company can have a maximum of `10` attachments. The following file types are supported:
```
- Image files (BMP, GIF, ICO, JPG/JPEG, PNG, SVG, TIF, TIFF, WEBP, WBMP, XBM)
- PDF
- DOC, DOCX
- XLS, XLSX
- CSV
```
Authentication
X-Auth-Tokenstring
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
OR
X-Store-Hashstring
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |
Path parameters
companyId
Request
attachmentFile
Attaches a file to the Company account. The file must be a supported type and not exceed 10MB.
Response
OK
code
data
meta